From c3c03af7c92c47f7cded5a60e37751ac2bc4f708 Mon Sep 17 00:00:00 2001
From: Jie Tang <tangjie18@huawei.com>
Date: Tue, 19 May 2020 10:47:49 +0800
Subject: [PATCH 13/16] cpu_device_hotplug: Add 'aarch64' to supported platform
 in cpu_device_hotplug.cfg.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Arm machine can run these testcases, when testing large format VM, in case
of out of memory happened, set VM memory as 16384 MiB。Besides, aarch64 vm
vcpu topology only support 'threads=1'.

Signed-off-by: Jie Tang <tangjie18@huawei.com>
---
 qemu/tests/cfg/cpu_device_hotplug_maximum.cfg | 4 +++-
 qemu/tests/cfg/cpu_device_hotpluggable.cfg    | 3 ++-
 2 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/qemu/tests/cfg/cpu_device_hotplug_maximum.cfg b/qemu/tests/cfg/cpu_device_hotplug_maximum.cfg
index 6910a5f2..55e66879 100644
--- a/qemu/tests/cfg/cpu_device_hotplug_maximum.cfg
+++ b/qemu/tests/cfg/cpu_device_hotplug_maximum.cfg
@@ -3,8 +3,9 @@
     type = cpu_device_hotplug_maximum
     no ovmf
     no RHEL.6
-    only x86_64 ppc64 ppc64le
+    only x86_64 ppc64 ppc64le aarch64
     required_qemu = [2.6.0, )
+    mem = 16384
     start_vm = no
     qemu_sandbox = on
     allow_pcpu_overcommit = yes
@@ -25,6 +26,7 @@
             vcpu_cores = 0
             vcpu_threads = 1
         - max_thread:
+            only x86_64 ppc64 ppc64le
             vcpu_sockets = 1
             vcpu_cores = 1
             vcpu_threads = 0
diff --git a/qemu/tests/cfg/cpu_device_hotpluggable.cfg b/qemu/tests/cfg/cpu_device_hotpluggable.cfg
index f38ae6c3..9bb9ce55 100644
--- a/qemu/tests/cfg/cpu_device_hotpluggable.cfg
+++ b/qemu/tests/cfg/cpu_device_hotpluggable.cfg
@@ -1,7 +1,7 @@
 # Notes:
 #    For ppc64/ppc64le, please manually specify cpu_model in your environment
 - cpu_device_hotpluggable: install setup image_copy unattended_install.cdrom
-    only ppc64 ppc64le x86_64
+    only ppc64 ppc64le x86_64 aarch64
     Windows:
         no WinXP, WinVista, Win7, Win8, Win10, Win2000, Win2003
     # ovmf does not support hotpluggable vCPU yet, this line will be removed
@@ -70,6 +70,7 @@
         - single_vcpu:
             vcpu_devices = vcpu1
         - multi_vcpu:
+            vcpu_maxcpus = 16
             vcpu_devices = vcpu1 vcpu2 vcpu3 vcpu4
     variants:
         - hotplug:
-- 
2.23.0

